Summary:	Subtitle editor
Name:		subtitleeditor
Version:	0.30.0
Release:	%mkrel 1
Group:		Video
License:	GPLv3+
URL:		http://home.gna.org/subtitleeditor/
Source:		http://download.gna.org/subtitleeditor/0.30/%{name}-%{version}.tar.gz
Patch0:		subtitleeditor-0.30.0-fix-linkage.patch
BuildRequires:	libglademm-devel
BuildRequires:	cppunit-devel
BuildRequires:	libxml++-devel
BuildRequires:	enchant-devel
BuildRequires:	libgstreamer0.10-plugins-base-devel
BuildRequires:	gstreamer0.10-plugins-good
BuildRequires:	pcre-devel
BuildRequires:	libxml2-devel
BuildRequires:	intltool
BuildRequires:	iso-codes
BuildRequires:	libtool
Requires:	iso-codes
Requires:	gstreamer0.10-plugins-base
Requires:	gstreamer0.10-plugins-good
Requires:	gstreamer0.10-ffmpeg
Requires:	mplayer
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
Subtitle Editor is a GTK+2 tool to edit subtitles.

It can be used for new subtitles or as a tool to transform, edit, correct and
refine existing subtitle. This program also shows sound waves, which makes it 
easier to synchronise subtitles to voices.

%prep
%setup -q
%patch0 -p0

%build
NOCONFIGURE=yes ./autogen.sh
%configure2_5x --disable-static
%make LIBTOOL=%_bindir/libtool

%install
rm -rf %{buildroot}
%makeinstall_std LIBTOOL=%_bindir/libtool

%find_lang %{name}

# we don't ship devel files for now
rm -f %buildroot%_libdir/{*.a,*.la,*.so}
rm -f %buildroot%_libdir/%name/plugins/*/*.la

%if %mdkversion < 200900
%post
%{update_menus}
%update_icon_cache hicolor
%endif

%if %mdkversion < 200900
%postun
%{clean_menus}
%clean_icon_cache hicolor
%endif

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog NEWS README TODO
%{_bindir}/subtitleeditor
%{_libdir}/*.so.*
%{_libdir}/%name
%{_datadir}/applications/subtitleeditor.desktop
%{_datadir}/subtitleeditor
%{_mandir}/man1/*.1.*
%{_iconsdir}/hicolor/*/apps/*


%changelog
* Sun Nov 30 2008 Funda Wang <fundawang@mandriva.org> 0.30.0-1mdv2009.1
+ Revision: 308481
- fix file list
- add libtool as BR
- new version 0.30.0

* Mon Nov 03 2008 Funda Wang <fundawang@mandriva.org> 0.26.0-1mdv2009.1
+ Revision: 299335
- New version 0.26.0

* Tue Oct 14 2008 Funda Wang <fundawang@mandriva.org> 0.25.0-1mdv2009.1
+ Revision: 293444
- New version 0.25.0
- no need to modify categories now

* Sun Sep 28 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.24.1-1mdv2009.1
+ Revision: 289042
- update to new version 0.24.1
- update to new version 0.24.0
- update to new version 0.23.0

* Thu Aug 14 2008 Funda Wang <fundawang@mandriva.org> 0.22.3-1mdv2009.0
+ Revision: 272088
- BR intltool
- New version 0.22.3

* Tue Aug 12 2008 Funda Wang <fundawang@mandriva.org> 0.22.2-1mdv2009.0
+ Revision: 271154
- New version 0.22.2

* Mon Aug 11 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.22.1-1mdv2009.0
+ Revision: 270628
- update to new verion 0.22.1

  + Funda Wang <fundawang@mandriva.org>
    - New version 0.22.0

* Wed Jun 25 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.21.3-1mdv2009.0
+ Revision: 228885
- update to new version 0.21.3

* Mon Jun 16 2008 Funda Wang <fundawang@mandriva.org> 0.21.2-1mdv2009.0
+ Revision: 219627
- add manpage
- New version 0.21.2

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Wed May 21 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.21.1-1mdv2009.0
+ Revision: 209603
- update to new version 0.21.1

* Tue May 13 2008 Funda Wang <fundawang@mandriva.org> 0.21.0-1mdv2009.0
+ Revision: 206519
- New version 0.21.0

* Tue Apr 22 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.20.0-2mdv2009.0
+ Revision: 196575
- add requires on gstreamer0.10-ffmpeg

* Mon Apr 21 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.20.0-1mdv2009.0
+ Revision: 196319
- add source and spec file
- Created package structure for subtitleeditor.

